<!--
1.  加筛选 第几期  区县不需要筛选条件 
2. （标题）交办区县落实的改革需求清单
3. （表头）需求题目、来源渠道、所属领域、所属跑道、清单期号、交办时间、责任区县、
4.  点击展开详情 （推进状态、已开展的工作、存在问题、下一步工作打算）
-->
<template>
    <div class="dialog-table-container">
        <div v-if="tableOptions.type == 'all'">
            <el-input
                @change="search"
                size="small"
                v-model="stage"
                clearable
                suffix-icon="el-icon-search"
                placeholder="请输入清单期号"
                style="width: 180px; margin-bottom: 10px"
            ></el-input>
        </div>
        <el-table
            height="400"
            align="center"
            :data="tableData"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <el-table-column type="expand" label="点击查看详情" width="140">
                <template slot-scope="props">
                    <el-form label-position="top" class="dialog-table-expand">
                        <el-row>
                            <el-form-item label="推进状态：">
                                <span>{{ props.row.resolve }}</span>
                            </el-form-item>
                        </el-row>
                        <el-row>
                            <el-form-item label="已开展的工作：">
                                <span>{{ props.row.shixiao }}</span>
                            </el-form-item>
                        </el-row>
                        <el-row>
                            <el-form-item label="存在问题：">
                                <span>{{ props.row.fujian }}</span>
                            </el-form-item>
                        </el-row>
                        <el-row>
                            <el-form-item label="下一步工作打算：">
                                <span>{{ props.row.fujian }}</span>
                            </el-form-item>
                        </el-row>
                    </el-form>
                </template>
            </el-table-column>
            <el-table-column prop="name" label="需求题目" width="180">
            </el-table-column>
            <el-table-column prop="wayfrom" label="来源渠道"> </el-table-column>
            <el-table-column prop="area" label="所属领域"></el-table-column>
            <el-table-column prop="way" label="所属跑道"></el-table-column>
            <el-table-column prop="state" label="清单期号"></el-table-column>
            <el-table-column prop="detail" label="交办时间" width="100">
            </el-table-column>
            <el-table-column prop="unit" label="责任区县"></el-table-column>
        </el-table>
        <pagenation @currentChange="pageChange" class="pagenation"></pagenation>
    </div>
</template>

  <script>
import pagenation from './pagenation.vue'
export default {
    components: {pagenation},
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            stage: '',
            tableData: [
                {
                    id: 1,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '习近平总书记重要指示精神',
                    area: '政治',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 2,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '群众企业基层所盼',
                    area: '经济',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 3,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '群众企业基层所盼',
                    area: '文化',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 4,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '群众企业基层所盼',
                    area: '生态',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 5,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '群众企业基层所盼',
                    area: '生态',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 6,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '群众企业基层所盼',
                    area: '文化',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 7,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '习近平总书记重要指示精神',
                    area: '政治',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 8,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '群众企业基层所盼',
                    area: '文化',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 9,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '群众企业基层所盼',
                    area: '文化',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 10,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '群众企业基层所盼',
                    area: '文化',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 11,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '群众企业基层所盼',
                    area: '文化',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 12,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '群众企业基层所盼',
                    area: '文化',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 13,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '群众企业基层所盼',
                    area: '文化',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 14,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '群众企业基层所盼',
                    area: '文化',
                    way: '党的建设',
                    unit: '单位',
                },
                {
                    id: 15,
                    name: '需求AAAA',
                    detail: '需求AAAA',
                    wayfrom: '群众企业基层所盼',
                    area: '文化',
                    way: '党的建设',
                    unit: '单位',
                },
            ],
        }
    },
    methods: {
        search(key) {
            console.log('key', key)
        },
        pageChange() {},
    },
}
</script>
<style lang="scss" scoped>
/deep/ .dialog-table-expand label {
    width: 120px;
    color: #fff;
    font-family: SimHei;
}
/deep/ .el-input__inner {
    background-color: rgba(1, 47, 115, 0.6);
    border: 1px solid #0273E9;
    color: #fff;
}
</style>
<style lang="scss">
@import './table.scss';
</style>
